Bug 1130446 - (Windows only) New VDB datarole checkboxes problems
Summary: (Windows only) New VDB datarole checkboxes problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling
Version: 6.0.0
Hardware: Unspecified
OS: Windows
urgent
urgent
Target Milestone: ER4
: 6.1.0
Assignee: Van Halbert
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 09:05 UTC by Matus Makovy
Modified: 2015-11-17 18:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When creating a new data role, the user could not uncheck the Read checkbox (or check any other checkbox) until first clicking on the model to which this checkbox belonged. This only occurred on Microsoft Windows and was caused by the TableViewer not being specified with SWT.FULL_SELECTION. It has now been resolved by a code update.
Clone Of:
Environment:
Last Closed: 2015-11-17 18:05:42 UTC
Type: Bug


Attachments (Terms of Use)
Screeenshot1 (38.34 KB, image/png)
2014-08-15 09:09 UTC, Matus Makovy
no flags Details
Screenshot2 (38.78 KB, image/png)
2014-08-15 09:10 UTC, Matus Makovy
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2291 Major Closed (Windows only) New VDB datarole checkboxes problems 2014-11-17 16:25:46 UTC

Description Matus Makovy 2014-08-15 09:05:14 UTC
When creating new Data Role, I am not able to uncheck Read checkbox(or to check any other checkbox) until I click on model that this checkbox belongs to.

Screenshot 1 - I am not able to uncheck/check any checkboxes
Screenshot 2 - I am able to uncheck checkbox in "Products_view.xmi" row, but not in the "Products_source.xmi" row.

Is this fixed in TEIIDDES-2196?

Teiid Designer 8.3.3.Final
JBDS 7.1.1.GA

Comment 1 Matus Makovy 2014-08-15 09:08:21 UTC
This problem (you have to click on particular part of row to change other value in this row) occurs also in other parts of Teiid Designer, for example Edit VDB dialogue-> Source binding definition...

Comment 2 Matus Makovy 2014-08-15 09:09:59 UTC
Created attachment 927040 [details]
Screeenshot1

Comment 3 Matus Makovy 2014-08-15 09:10:17 UTC
Created attachment 927041 [details]
Screenshot2

Comment 4 JBoss JIRA Server 2014-08-20 20:16:05 UTC
Mark Drilling <mdrilling@redhat.com> updated the status of jira TEIIDDES-2291 to Resolved

Comment 5 Matus Makovy 2014-09-04 09:49:31 UTC
verified on TD 8.3.4.CR1

Comment 6 JBoss JIRA Server 2014-11-17 16:25:51 UTC
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2291 to Closed


Note You need to log in before you can comment on or make changes to this bug.